/* ================================================================
crossfade.js
Create: 2012/09/26
for: jQuery 1.7
================================================================ */
(function($){
	$.fn.crossfade = function(config){
		var defaults = {
			txt : 'slide_text',
			w : '600px',
			h : '200px'
		}
		$.extend(defaults,config);
	
	return this.each(function(){

		$(this).css({
			position: 'relative',
			overflow: 'hidden',
			width: defaults.w,
			height: defaults.h
			}).children('li').css({
				position: 'absolute',
				left: '0',
				top: '0',
				overflow: 'hidden',
				width: defaults.w,
				height: defaults.h
			});
		$(this).hide();

		//画像をキャッシュ
		var imgarr = $(this).find('img');
		$.each(imgarr,function(key,value){
			tempimg = new Image();
			tempimg.src = $(this).attr('src');
		});

		//img要素を背景化
		$(this).children('li').each(function(key,value){
		if(!$(this).hasClass(defaults.txt)){
			var img = $(this).find('img').attr('src');
			var href = $(this).find('a').attr('href');
			
			if(href){
				$(this).attr('data-link',href).css('cursor','pointer');
			}
			$(this).css({
				background: 'url(' + img + ') no-repeat center top'
			}).empty();
			$(this).on('click',function(){
				if($(this).attr('data-link')){
					location.href = $(this).attr('data-link');
				}
			});
		}
	});

	$(this).fadeIn(2000);
	$(this).children('li').not(':first').hide();

	obj = $(this);
	i = 0;
	setInterval(function(){
		if(i+1 >= $(obj).children('li').size()){
			$(obj).children('li:last').fadeOut(2000);
			$(obj).children('li:first').delay(500).fadeIn(2000);
			i = -1;
		} else {
		
			$(obj).children('li').eq(i).fadeOut(3000);
			$(obj).children('li').eq(i+1).delay(500).fadeIn(2000);
		}
		i = i + 1;
	},5000);

	
	
	});//funcend

	};

})(jQuery);